package de.hdm_stuttgart.mi.sd2.GuiHelper;

import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;
import javafx.scene.control.TextField;

public class NumberField extends TextField {

	private int value = 0;

	public NumberField() {

		setText("0");
		textProperty().addListener(new ChangeListener<String>() {

			@Override
			public void changed(ObservableValue<? extends String> observable,
					String oldValue, String newValue) {
				switch (newValue) {
				case "":
				case "-":
					return;
				}

				try {
					value = Integer.parseInt(newValue);
				} catch (NumberFormatException e) {
					setText(oldValue);
				}
			}
		});
	}

	public int getValue() {
		return value;
	}
}
